com.google.gwt.core.linker

## Class SymbolMapsLinker.ScriptFragmentEditsArtifact

- java.lang.Object
- - com.google.gwt.core.ext.linker.Artifact<SymbolMapsLinker.ScriptFragmentEditsArtifact>
  - - com.google.gwt.core.linker.SymbolMapsLinker.ScriptFragmentEditsArtifact

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Artifact<?>>

Enclosing class:
  SymbolMapsLinker

    public static class SymbolMapsLinker.ScriptFragmentEditsArtifact
    extends Artifact<SymbolMapsLinker.ScriptFragmentEditsArtifact>

Artifact to record insertions or deletions made to Javascript fragments.

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `SymbolMapsLinker.ScriptFragmentEditsArtifact.Edit` Operation type performed on script.

### Constructor Summary

Constructors
Constructor and Description
`ScriptFragmentEditsArtifact(java.lang.String strongName, int fragment)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected int` `compareToComparableArtifact(SymbolMapsLinker.ScriptFragmentEditsArtifact o)` Performs comparison with an artifact of a compatible base type.
`protected java.lang.Class<SymbolMapsLinker.ScriptFragmentEditsArtifact>` `getComparableArtifactType()` Returns the base type to use for comparisons between Artifacts.
`int` `getFragment()`
`java.lang.String` `getStrongName()`
`int` `hashCode()` The class which is returned from `Artifact.getComparableArtifactType()` must declare a final implementation which returns the same hash code for objects for which `Artifact.compareToComparableArtifact(Artifact)` returns 0.
`void` `prefixLines(java.lang.String lines)`

### Methods inherited from class com.google.gwt.core.ext.linker.Artifact

`compareTo, equals, getLinker, isTransferableFromShards, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ScriptFragmentEditsArtifact

    public ScriptFragmentEditsArtifact(java.lang.String strongName,
                                       int fragment)

### Method Detail

#### getFragment

    public int getFragment()

#### getStrongName

    public java.lang.String getStrongName()

#### hashCode

    public int hashCode()

Description copied from class: `Artifact`
The class which is returned from `Artifact.getComparableArtifactType()` must declare a final implementation which returns the same hash code for objects for which `Artifact.compareToComparableArtifact(Artifact)` returns 0.

Specified by:
  `hashCode` in class `Artifact<SymbolMapsLinker.ScriptFragmentEditsArtifact>`

#### prefixLines

    public void prefixLines(java.lang.String lines)

#### compareToComparableArtifact

    protected int compareToComparableArtifact(SymbolMapsLinker.ScriptFragmentEditsArtifact o)

Description copied from class: `Artifact`
Performs comparison with an artifact of a compatible base type. Objects which compare to 0 are assumed equal, and must return the same `Artifact.hashCode()`.

Specified by:
  `compareToComparableArtifact` in class `Artifact<SymbolMapsLinker.ScriptFragmentEditsArtifact>`

#### getComparableArtifactType

    protected java.lang.Class<SymbolMapsLinker.ScriptFragmentEditsArtifact> getComparableArtifactType()

Description copied from class: `Artifact`
Returns the base type to use for comparisons between Artifacts. All concrete implementations of this methods must be final.

Specified by:
  `getComparableArtifactType` in class `Artifact<SymbolMapsLinker.ScriptFragmentEditsArtifact>`